/********************************************************************************
 * Copyright (c) 2020 Contributors to the Eclipse Foundation
 *
 * See the NOTICE file(s) distributed with this work for additional
 * information regarding copyright ownership.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License 2.0 which is available at
 * http://www.eclipse.org/legal/epl-2.0
 *
 * SPDX-License-Identifier: EPL-2.0
 ********************************************************************************/

@import "../../../../styles/openk.styles";

.contact-list {
  width: 100%;
  flex: 1;
  overflow: auto;
  display: flex;
  box-sizing: border-box;
  border: 1px solid $openk-form-border;
  border-radius: 4px;
}

.contact-list--table {
  flex: 1;
  width: 100%;
}

.contact-list--table--row {
  background: $openk-background-card;
  height: auto;
}

.contact-list--table--row---pointer {
  cursor: pointer;
}

.contact-list--table--row---color {

  &:nth-child(odd) {
    background: $openk-background-highlight;
  }

  &:hover {
    background-color: get-color($openk-info-palette, 100);
  }
}

.contact-list--table--cell {
  padding: 0.3em;
}

.contact-list--table--cell---border {
  border-bottom: 1px solid $openk-form-border;
}

.contact-list--table--cell---bold {
  font-weight: bold;
  font-size: 14px;
}

.contact-list--table--cell---icon-size {
  min-width: 24px;
  width: 24px;
}

.mat-header-cell:first-of-type {
  padding-left: 0.6em;
}

.mat-cell:first-of-type {
  padding-left: 0.6em;
}

.mat-header-cell:last-of-type {
  padding-right: 0.6em;
}

.mat-cell:last-of-type {
  padding-right: 0.6em;
}

.mat-row:last-of-type {

  .mat-cell {
    border-bottom: 0;
  }
}

.contact-list--table--cell---highlight {
  background-color: get-color($openk-info-palette, 500);
  color: get-color($openk-info-palette, 500, contrast);
}

.disabled {
  pointer-events: none;
  opacity: 0.6;
}
